Bug 630071 - (CVE-2010-2762) CVE-2010-2762 Mozilla SJOW creates scope chains ending in outer object (MFSA 2010-59)
CVE-2010-2762 Mozilla SJOW creates scope chains ending in outer object (MFSA ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100901,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 12:05 EDT by Josh Bressers
Modified: 2015-08-19 04:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:31:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-09-03 12:05:07 EDT
Mozilla developer Blake Kaplan reported that the wrapper class
XPCSafeJSObjectWrapper (SJOW), a security wrapper that allows
content-defined objects to be safely accessed by privileged code, creates
scope chains ending in outer objects. Users of SJOWs which expect the scope
chain to end on an inner object may be handed a chrome privileged object
which could be leveraged to run arbitrary JavaScript with chrome
privileges.
Comment 1 Vincent Danen 2010-09-07 19:30:58 EDT
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-59.html
Comment 2 errata-xmlrpc 2010-09-07 20:34:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Note You need to log in before you can comment on or make changes to this bug.